Package org.apache.storm.trident.graph

## Class Group

- java.lang.Object
- - org.apache.storm.trident.graph.Group

-     public class Group
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Set<Node>` | `nodes` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Group​(org.apache.storm.shade.org.jgrapht.DirectedGraph graph, List<Node> nodes)` |
    `Group​(org.apache.storm.shade.org.jgrapht.DirectedGraph graph, Node n)` |
    `Group​(Group g1, Group g2)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Map<String,​Number>` | `getResources​(Map<String,​Number> defaults)` | In case no resources are specified, returns empty map.
    `Set<SharedMemory>` | `getSharedMemory()` | Get shared memory.
    `int` | `hashCode()` |
    `Set<Node>` | `incomingNodes()` |
    `Set<Node>` | `outgoingNodes()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nodes

          public final Set<Node> nodes

  - ### Constructor Detail

    - #### Group

          public Group​(org.apache.storm.shade.org.jgrapht.DirectedGraph graph,
                       List<Node> nodes)

    - #### Group

          public Group​(org.apache.storm.shade.org.jgrapht.DirectedGraph graph,
                       Node n)

    - #### Group

          public Group​(Group g1,
                       Group g2)

  - ### Method Detail

    - #### outgoingNodes

          public Set<Node> outgoingNodes()

    - #### incomingNodes

          public Set<Node> incomingNodes()

    - #### getSharedMemory

          public Set<SharedMemory> getSharedMemory()

      Get shared memory.
      Returns:
        the shared memory requests for the entire group

    - #### getResources

          public Map<String,​Number> getResources​(Map<String,​Number> defaults)

      In case no resources are specified, returns empty map. In case differing types of resources are specified, throw. Otherwise, add all the resources for a group.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`